Subject: Re: bug#13963: 24.3; eshell: "Text is read-only" and unresponsive eshell to kill-buffer, C-x C-c and C-x C-q

From: Thierry Volpiatto <[email-masked]>
Date: Sat, 23 Mar 2013 17:27:25 +0100

Stefan Monnier <[email-masked]> writes:

>>> The problem I think is that the eshell prompt is read-only but this
>>> doesn't forbid user to write in this zone and because the prompt have
>>> also rear-nonsticky property, the new character entered are made
>>> read-only and eshell when it try to delete this characters return "text
>>> read only".
>>> Didn't look deeper where this happen though.
>
> The problem is that the last char of the prompt (the space) should be
> rear-nonsticky, but if the others are rear-nonsticky and are not
> front-sticky, then indeed you can't erase them but you can insert
> anything inside them.  So I think the better fix is to make the prompt
> (including the trailing space) both rear-nonsticky and front-sticky.
>
> Does the patch below fix the problem?
Yes, very good, same behavior than the last patch I sended but much
simpler.

Thanks.

-- 
Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997